tigase.server.xmppserver.proc

## Class PacketChecker

- java.lang.Object
- - tigase.server.xmppserver.proc.S2SAbstractProcessor
  - - tigase.server.xmppserver.proc.PacketChecker

- All Implemented Interfaces:
    S2SProcessor

      public class PacketChecker
      extends S2SAbstractProcessor

  Created: Dec 10, 2010 5:53:57 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    - ### Fields inherited from class tigase.server.xmppserver.proc.S2SAbstractProcessor

      `DB_RESULT_EL_NAME, DB_VERIFY_EL_NAME, DIALBACK_EL, DIALBACK_NS, FEATURES_DIALBACK_PATH, FEATURES_EL, FEATURES_NS, FEATURES_STARTTLS_PATH, FORCE_VERSION, handler, PROCEED_TLS_EL, RESULT_EL_NAME, START_TLS_EL, START_TLS_NS, STREAM_FEATURES_EL, VERIFY_EL_NAME, VERSION_ATT_NAME, XMLNS_CLIENT_VAL, XMLNS_DB_ATT, XMLNS_DB_VAL, XMLNS_SERVER_VAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PacketChecker()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(S2SConnectionHandlerIfc<S2SIOService> handler, Map<String,Object> props)` Method description
    `protected boolean` | `isAllowed(Packet p, S2SIOService serv, CID cid)` Check if incoming packet is allowed on this connection
    `boolean` | `process(Packet p, S2SIOService serv, Queue<Packet> results)` Method description

    - ### Methods inherited from class tigase.server.xmppserver.proc.S2SAbstractProcessor

      `generateStreamError, serviceStarted, serviceStopped, skipTLSForHost, streamClosed, streamFeatures, streamOpened`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PacketChecker

          public PacketChecker()

  - ### Method Detail

    - #### init

          public void init(S2SConnectionHandlerIfc<S2SIOService> handler,
                  Map<String,Object> props)

      Description copied from class: `S2SAbstractProcessor`
      Method description
      Specified by:
        `init` in interface `S2SProcessor`
      Overrides:
        `init` in class `S2SAbstractProcessor`

    - #### process

          public boolean process(Packet p,
                        S2SIOService serv,
                        Queue<Packet> results)

      Method description
      Specified by:
        `process` in interface `S2SProcessor`
      Overrides:
        `process` in class `S2SAbstractProcessor`
      Parameters:
        `p` -
        `serv` -
        `results` -

    - #### isAllowed

          protected boolean isAllowed(Packet p,
                          S2SIOService serv,
                          CID cid)

      Check if incoming packet is allowed on this connection
      Parameters:
        `p` -
        `serv` -
        `cid` -

Copyright © 2013 Tigase. All rights reserved.